<?php

require_once "../../../app/model/db.class.php";

if ($_REQUEST['accion']=='listado'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2.				 	  "\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>&ensp;".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

//--------------------------------------

 if ($_REQUEST['accion']=='listado1'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../../../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>&ensp;".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

//--------------------------------------

 if ($_REQUEST['accion']=='listado_f'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $tipo_falta=$_REQUEST['tipo_falta'];    
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." where tipo_falta='".$tipo_falta."' order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../../../imagenes/boton.png' onClick='mostrar_lista_faltas(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>&ensp;".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}


//--------------------------------------

if ($_REQUEST['accion']=='listado_grados_profes'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
   
    if (!isset($_SESSION)) { session_start(); }
   
    $query=$obj->consulta("SELECT curso_asignatura_profesor.grado as codigo, grados.descripcion
                              FROM grados INNER JOIN curso_asignatura_profesor ON grados.codigo = curso_asignatura_profesor.grado
                              GROUP BY curso_asignatura_profesor.grado, grados.descripcion, curso_asignatura_profesor.profesor, grados.orden
                              HAVING curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' ORDER BY grados.orden");

    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_listagrad(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

//--------------------------------------

if ($_REQUEST['accion']=='listado_cursos_profes'){

    $grado=$_REQUEST['grado'];
 
    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
   
    if (!isset($_SESSION)) { session_start(); }
   
    $query=$obj->consulta("SELECT cursos.codigo, cursos.descripcion, jornadas.descripcion AS nom_jor
                              FROM jornadas INNER JOIN (cursos INNER JOIN curso_asignatura_profesor ON (cursos.grado = curso_asignatura_profesor.grado) AND (cursos.codigo = curso_asignatura_profesor.curso)) ON jornadas.codigo = cursos.jornada
                              GROUP BY cursos.codigo, cursos.descripcion, jornadas.descripcion, curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado
                              HAVING curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' AND curso_asignatura_profesor.grado='".$grado."'");

    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_listagrad(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

//--------------------------------------

if ($_REQUEST['accion']=='listado_asign_profes'){

    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
 
    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
   
    if (!isset($_SESSION)) { session_start(); }
   
    $query=$obj->consulta("SELECT catalogo.codigo, catalogo.descripcion
                              FROM catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura
                              WHERE curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' AND curso_asignatura_profesor.grado='".$grado."' AND curso_asignatura_profesor.curso='".$curso."' ORDER BY catalogo.orden");

    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_listagrad(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}


//---------------------------------------------------








if ($_REQUEST['accion']=='listadoc'){

    $id=$_REQUEST['grado'];
    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];
    

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select * from ".$tabla." where grado='".$id."' order by orden");
    $n=$obj->numero_de_filas($query);
    
    if($n==0){
            echo "no";
        }else{

            $query=$obj->consulta("select * from ".$tabla."  where grado='".$id."'  order by orden");
            

            $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

              while ( $tsArray = $obj->fetch_assoc($query) )
                {
                $row[] = $tsArray;
                
                }
                
              for($i=0;$i<count($row);$i++)  
              {
                  $cadena.="<tr>";
                  $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row[$i]['codigo']."\",\"".($row[$i]['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
                  $cadena.="<td>".$row[$i]['codigo']."</td><td>".($row[$i]['descripcion'])."</td>";

                  $obj = new database();
                  $obj->conectar(); $obj->consulta("set names 'utf8'");
                  $query=$obj->consulta("select * from jornadas where codigo='".$row[$i]['jornada']."';");
                  $jor=  $obj->fetch_assoc($query);

                  $cadena.="<td>".($jor['descripcion'])."</td></tr>";
              }
            $cadena.="</table>";
            $obj->disconnect();
            echo $cadena;
        }
}



if ($_POST['accion']=='al_salir'){



    $tabla=$_REQUEST['tabla'];
    $codigo=$_REQUEST['codigo'];
   
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." where codigo='".$codigo."'");
	
    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){
        $cadena=($row['descripcion']);
    }
    else{
        $cadena="0";
    }

    echo $cadena;
 
    
}

//-----------------------------------------------------


if ($_POST['accion']=='traer_nota'){

    $codigo=$_REQUEST['codigo'];
   
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("SELECT tipo_falta.codigo,tipo_falta.descripcion,tipo_falta.descuento FROM tipo_falta INNER JOIN faltas ON tipo_falta.codigo = faltas.tipo_falta WHERE faltas.codigo='".$codigo."'");

    $n=$obj->numero_de_filas($query);
    $obj->disconnect();

    $row = $obj->fetch_assoc($query);

    if ($n>0){
        $cadena=$row['codigo']."*".$row['descripcion']."*".$row['descuento'];
    }
    else{
        $cadena=" "."*"." "."*"."0";
    }

    echo $cadena;
 
    
}


?>